Discover Vcenter
Discover vCenter instance and its adjacent topology such as NSX instances associated with it.
Show optional properties
{
"address": "string",
"username": "string",
"password": "string",
"sslThumbprint": "3D:D0:EE:B5:A0:CC:45:08:5C:4F:84:51:CD:00:B6:41:BB:4A:A2:9A:77:1C:A6:4C:6D:84:5A:D0:4F:68:7A:B8"
}
{
"address": "string",
"username": "string",
"password": "string",
"sslThumbprint": "3D:D0:EE:B5:A0:CC:45:08:5C:4F:84:51:CD:00:B6:41:BB:4A:A2:9A:77:1C:A6:4C:6D:84:5A:D0:4F:68:7A:B8",
"vcfOpsNodesToVerify": [
{
"address": "string",
"name": "string",
"type": "master"
}
]
}
vCenter address.
SSO username.
SSO password.
vCenter SSL thumbprint (SHA256)
VCF Operations nodes to verify against this vCenter. For each node whose type is not cloudproxy or witness, the discovery checks whether a VM with the node's address exists and returns the results in foundVmAddresses and missingVmAddresses. Nodes are typically obtained from the VCF Operations discovery (discoverVcfOps).
OK
{
"vcenterVersion": "string",
"vcenterBuildNumber": "string",
"nsxInfo": {
"address": "string"
},
"foundVmAddresses": [
"string"
],
"missingVmAddresses": [
"string"
]
}
vCenter version.
vCenter build number.
NSX instance associated with vCenter instance.
Node addresses from vcfOpsNodesToVerify whose VMs were found in this vCenter.
Node addresses from vcfOpsNodesToVerify whose VMs were NOT found in this vCenter.
Bad Request
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
"Error Object"
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
}
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
}
The minor error code
The error type
The arguments used to localize the message, Can be used by scripts to automate the error processing.
The error context (e.g. the component where it occurred).
Detailed results of the precheck validation.
The localized error message
The localized remediation error message
The underlying cause exceptions.
The nested errors when the error is a composite one
A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.
The localized label message
The URL string for remediation documentation link
InternalServerError
"Error Object"
The minor error code
The error type
The arguments used to localize the message, Can be used by scripts to automate the error processing.
The error context (e.g. the component where it occurred).
Detailed results of the precheck validation.
The localized error message
The localized remediation error message
The underlying cause exceptions.
A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.
The localized label message
The URL string for remediation documentation link
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"address":"string","password":"string","sslThumbprint":"string","username":"string"}' https://{api_host}/v1/sddcs/vcenter-discovery